StocksCurrent:
  get:
    tags:
      - stocks
    operationId: getStock
    x-lg-handler: 'App\Http\ApiV1\Modules\Stocks\Controllers\StocksController@get'
    summary: Запрос остатка по ID
    description: Запрос остатка по ID
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
      - $ref: '../index.yaml#/components/parameters/QueryInclude'
    responses:
      "200":
        $ref: '#/StockResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - stocks
    operationId: patchStock
    x-lg-handler: 'App\Http\ApiV1\Modules\Stocks\Controllers\StocksController@patch'
    summary: Запрос на обновление отдельных полей остатка
    description: Запрос на обновление отдельных полей остатка
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/stocks.yaml#/PatchStockRequest'
    responses:
      "200":
        $ref: '#/StockResponse'
      "400":
        $ref: "../index.yaml#/components/responses/BadRequest"
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StocksReserve:
  post:
    tags:
      - stocks
    operationId: reserveStocks
    x-lg-handler: 'App\Http\ApiV1\Modules\Stocks\Controllers\StocksController@reserve'
    summary: Резервирование стоков
    description: Резервирование стоков
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/stocks.yaml#/ReserveStocksRequest'
    responses:
      "200":
        description: Успех
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StocksSearch:
  post:
    tags:
      - stocks
    operationId: searchStocks
    x-lg-handler: 'App\Http\ApiV1\Modules\Stocks\Controllers\StocksController@search'
    x-lg-skip-request-generation: true
    summary: Поиск остатков, удовлетворяющих фильтру
    description: Поиск остатков, удовлетворяющих фильтру
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/stocks.yaml#/SearchStocksRequest'
    responses:
      "200":
        description: Выполнено успешно
        content:
          application/json:
            schema:
              $ref: './schemas/stocks.yaml#/SearchStocksResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

StockResponse:
  description: Выполнено успешно
  content:
    application/json:
      schema:
        $ref: './schemas/stocks.yaml#/StockResponse'
